﻿using Hotline.SeedData.Codes;
using Hotline.Share.Dtos;

namespace Hotline.FlowEngine.WfModules;

public class WorkflowModuleConsts
{
    /// <summary>
    /// 工单办理
    /// </summary>
    public const string OrderManage = "OrderManage";

    /// <summary>
    /// 新增知识审批
    /// </summary>
    public const string KnowledgeAdd = "KnowledgeAdd";

    /// <summary>
    /// 知识更新
    /// </summary>
    public const string KnowledgeUpdate = "KnowledgeUpdate";

    /// <summary>
    /// 知识删除
    /// </summary>
    public const string KnowledgeDelete = "KnowledgeDelete";

    /// <summary>
    /// 分机小休申请
    /// </summary>
    public const string TelRestApply = "TelRestApply";

    public static List<WorkflowModule> AllModules =>
        new()
        {
            new(OrderManage, "工单办理"),
            new(KnowledgeAdd, "新增知识审批"),
            new(KnowledgeUpdate, "知识更新"),
            new(KnowledgeDelete, "知识删除"),
            new(TelRestApply, "分机小休申请"),
        };
}