﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Order;
using XF.Domain.Entities;

namespace Hotline.Orders
{
    public interface IOrderDomainService
    {
        #region OrderHandle

        Task<Order> GetOrderAsync(string? orderId, CancellationToken cancellationToken);

        Task<string> AddAsync(Order order, CancellationToken cancellationToken);

        /// <summary>
        /// 归档
        /// </summary>
        Task FileAsync(string? orderId, CancellationToken cancellationToken);

        #endregion

        #region OrderRedo

        Task<string> AddOrderRedoAsync(OrderRedo orderRedo, CancellationToken cancellationToken);

        Task RemoveOrderRedoAsync(string id, CancellationToken cancellationToken);

        Task UpdateOrderRedoAsync(OrderRedo orderRedo, CancellationToken cancellationToken);

        #endregion
    }
}
